/**
 * 
 */
package com.pcloud.common.core.biz;

import javax.jms.JMSException;
import javax.jms.ObjectMessage;
import javax.jms.Session;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.jms.core.MessageCreator;
import org.springframework.stereotype.Service;

import com.pcloud.common.core.dto.ConvertQueueDto;
import com.pcloud.common.exceptions.BizException;

/**
 * @描述：
 * @作者：songx
 * @创建时间：2017年2月27日,下午2:49:38
 * @版本：1.0
 */
@Service("convertQueueBiz")
public class ConvertQueueBizImpl implements ConvertQueueBiz {

	/**
	 * 
	 */
	private final static Logger logger=LoggerFactory.getLogger(ConvertQueueBizImpl.class);
	
	@Autowired(required=false)
	@Qualifier("jmsConvertTemplate")
	private JmsTemplate jmsConvertTemplate;

	/**
	 *
	 */
	@Override
	public void sendConvertFileQueue(ConvertQueueDto convertFileQueueDto) throws BizException {
		MessageCreator messageCreator = new MessageCreator() {
			@Override
			public ObjectMessage createMessage(Session session) throws JMSException {
				return session.createObjectMessage(convertFileQueueDto);
			}
		};
		try {
			jmsConvertTemplate.send(messageCreator);
		} catch (Exception e) {
			logger.error("发送失败，" + e.getMessage(), e);
			throw BizException.SEND_QUEUE_FAIL;
		}
		logger.info("发送成功，" + convertFileQueueDto);
	}

}
