/**
 * 
 */
package com.pcloud.common.core.biz.impl;

import javax.jms.JMSException;
import javax.jms.ObjectMessage;
import javax.jms.Session;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.jms.core.MessageCreator;
import org.springframework.stereotype.Service;

import com.pcloud.common.core.biz.TranscodeQueueBiz;
import com.pcloud.common.core.dto.TranscodeMQDTO;
import com.pcloud.common.exceptions.BizException;

/**
 * 
 * 
 * @author：songx
 * @date：2018年5月17日,下午4:19:54
 */
@Service("transcodeQueueBiz")
public class TranscodeQueueBizImpl implements TranscodeQueueBiz {

	/**
	 * 
	 */
	private final static Logger logger = LoggerFactory.getLogger(TranscodeQueueBizImpl.class);

	@Autowired(required = false)
	@Qualifier("jmsTranscodeTemplate")
	private JmsTemplate jmsTranscodeTemplate;

	/**
	 *
	 */
	@Override
	public void sendTranscodeQueue(TranscodeMQDTO transcodeMQDTO) throws BizException {
		MessageCreator messageCreator = new MessageCreator() {
			@Override
			public ObjectMessage createMessage(Session session) throws JMSException {
				return session.createObjectMessage(transcodeMQDTO);
			}
		};
		try {
			jmsTranscodeTemplate.send(messageCreator);
		} catch (Exception e) {
			logger.error("【文件转码】MQ发送失败:" + e.getMessage(), e);
			throw BizException.SEND_QUEUE_FAIL;
		}
		logger.info("【文件转码】MQ发送成功.[transcodeMQDTO]=" + transcodeMQDTO);
	}

}
